summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-apps/lms/files/lms.initd')
-rw-r--r--sys-apps/lms/files/lms.initd24
1 files changed, 24 insertions, 0 deletions
diff --git a/sys-apps/lms/files/lms.initd b/sys-apps/lms/files/lms.initd
new file mode 100644
index 0000000..9f57c80
--- /dev/null
+++ b/sys-apps/lms/files/lms.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DAEMON="/usr/sbin/lms"
+
+depend() {
+ need localmount
+}
+
+start() {
+ ebegin "Starting IntelĀ® Local Manageability Service"
+ start-stop-daemon --start --exec $DAEMON \
+ --pidfile /run/lms.pid
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping IntelĀ® Local Manageability Service"
+ start-stop-daemon --stop --exec $DAEMON \
+ --pidfile /run/lms.pid
+ eend $?
+}